#NoTrayIcon
#include <GUIConstants.au3>
#compiler_icon=Ebay_Widget.ico

; INI-Datei definieren Prioritt: Userprofile vor lokaler Datei
If FileExists(@userprofiledir & "\Ebay_Widget.ini") then
	$inifile = @userprofiledir & "\Ebay_Widget.ini"
Else
	If FileExists(@scriptdir & "\Ebay_Widget.ini") then
		$inifile = @scriptdir & "\Ebay_Widget.ini"
	Else
		$inifile = ""
	EndIf
EndIf
FileInstall("Ebay_Widget.gif",@tempdir & "\Ebay_Widget.gif",1)

; GUI erzeugen mit Contextmenue "Beenden"
Opt("GUIOnEventMode", 1)
$gui = GUICreate("Ebay_Widget",110,70, 318, 213,$WS_POPUP,BitOr($WS_EX_LAYERED,$WS_EX_TOOLWINDOW))
GUISetOnEvent($GUI_EVENT_PRIMARYDOWN, "_PrimeDown")
GUISetOnEvent($GUI_EVENT_CLOSE,"_Ende")
$bild_id = GUICtrlCreatePic(@tempdir & "\Ebay_Widget.gif", 0, 0, 110,70)
$CMenue = GUICtrlCreateContextMenu ($bild_id)
$CMenueEnde = GUICtrlCreateMenuitem ("Beenden",$CMenue,0)
GUICtrlSetOnEvent ($CMenueEnde, "_Ende")
$suchtext_id = GUICtrlCreateInput("", 32, 40, 73, 21)
GUICtrlSetOnEvent($suchtext_id,"_Suche")
GUISetState(@SW_SHOW)

; alte Fensterposition laden und GUI verschieben
if $inifile <> "" then
	$WinXPos = IniRead($inifile,"Startwerte","WinXPos","")
	$WinYPos = IniRead($inifile,"Startwerte","WinYPos","")
	If $WinXPos <> "" And $WinYPos <> "" then WinMove("Ebay_Widget","",$WinXPos,$WinYPos)
endif

; warten....
While 1
	Sleep(100)
WEnd

; eingegebenen Begriff bei Ebay suchen
Func _Suche()
	$suchtext = GUICtrlRead($suchtext_id)
	$suchtext = StringReplace($suchtext," ","+")
	$suchtext = StringReplace($suchtext,"","%C4",0,1)
	$suchtext = StringReplace($suchtext,"","%E4",0,1)
	$suchtext = StringReplace($suchtext,"","%D6",0,1)
	$suchtext = StringReplace($suchtext,"","%F6",0,1)
	$suchtext = StringReplace($suchtext,"","%DC",0,1)
	$suchtext = StringReplace($suchtext,"","%FC",0,1)
	$suchtext = StringReplace($suchtext,"","%DF",0,1)
	ShellExecute ("http://search.ebay.de/search/search.dll?from=R40&_trksid=m37&satitle=" & $suchtext & "&category0=")
	GUICtrlSetData($suchtext_id,"")
EndFunc

; Danke fr diese Funktion um das rahmenlose Fenster zu verschieben
Func _PrimeDown()
    Local $DifX, $DifY, $MouseData = GUIGetCursorInfo(@GUI_WinHandle)
    Local $WinPos = WinGetPos(@GUI_WinHandle)
    Local $MPos = MouseGetPos()
    $DifX = $MPos[0] - $WinPos[0]
    $DifY = $MPos[1] - $WinPos[1]
    Do
        Sleep(15)
        $MPos = MouseGetPos()
        $MouseData = GUIGetCursorInfo(@GUI_WinHandle)
    Until ($WinPos[0] <> ($MPos[0] - $DifX)) Or ($WinPos[1] <> ($MPos[1] - $DifY)) Or (Not $MouseData[2])
    GUICtrlSetCursor($bild_id,9)
    While $MouseData[2]
        $MPos = MouseGetPos()
        $WinPos = WinGetPos(@GUI_WinHandle)
        If ($WinPos[0] <> ($MPos[0] - $DifX)) Or ($WinPos[1] <> ($MPos[1] - $DifY)) Then
            WinMove(@GUI_WinHandle, '', $MPos[0] - $DifX, $MPos[1] - $DifY)
        EndIf
        Sleep(15)
        $MouseData = GUIGetCursorInfo(@GUI_WinHandle)
    WEnd
    GUICtrlSetCursor($bild_id,2)
    GUICtrlSetState($suchtext_id,$GUI_FOCUS)
EndFunc

; Fensterposition merken und Programm beenden
Func _Ende()
	$iniid=fileopen($inifile,1)
	if $iniid = -1 then $inifile = @userprofiledir & "\Ebay_Widget.ini"
	fileclose($iniid)
	IniDelete($inifile,"Startwerte")
	$WinPos = WinGetPos("Ebay_Widget")
	IniWrite($inifile,"Startwerte","WinXPos",$WinPos[0])
	IniWrite($inifile,"Startwerte","WinYPos",$WinPos[1])
	if FileExists(@Tempdir & "\Ebay_Widget.gif") then FileDelete(@Tempdir & "\Ebay_Widget.gif")
	Exit
EndFunc